GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
lm_info_frv Struct Reference
Inheritance diagram for lm_info_frv:

## Public Member Functions
| ~lm_info_frv ()

## Public Attributes
int_elf32_fdpic_loadmap * | map = NULL
CORE_ADDR | got_value = 0
CORE_ADDR | lm_addr = 0
asymbol ** | dyn_syms = NULL
arelent ** | dyn_relocs = NULL
int | dyn_reloc_count = 0

## Detailed Description

Definition at line 205 of file solib-frv.c.

## Constructor & Destructor Documentation

## ◆ ~lm_info_frv()

lm_info_frv::~lm_info_frv | ( |  | ) |
| inline

Definition at line 207 of file solib-frv.c.

References dyn_relocs, dyn_syms, map, and xfree().

## Member Data Documentation

## ◆ dyn_reloc_count

int lm_info_frv::dyn_reloc_count = 0

Definition at line 233 of file solib-frv.c.

Referenced by find_canonical_descriptor_in_load_object().

## ◆ dyn_relocs

arelent** lm_info_frv::dyn_relocs = NULL

Definition at line 232 of file solib-frv.c.

Referenced by find_canonical_descriptor_in_load_object(), and ~lm_info_frv().

## ◆ dyn_syms

asymbol** lm_info_frv::dyn_syms = NULL

Definition at line 231 of file solib-frv.c.

Referenced by find_canonical_descriptor_in_load_object(), and ~lm_info_frv().

## ◆ got_value

CORE_ADDR lm_info_frv::got_value = 0

Definition at line 217 of file solib-frv.c.

Referenced by frv_current_sos(), frv_fdpic_find_global_pointer(), and frv_relocate_main_executable().

## ◆ lm_addr

CORE_ADDR lm_info_frv::lm_addr = 0

Definition at line 219 of file solib-frv.c.

Referenced by frv_current_sos(), and frv_fetch_objfile_link_map().

## ◆ map

int_elf32_fdpic_loadmap* lm_info_frv::map = NULL

Definition at line 215 of file solib-frv.c.

Referenced by find_canonical_descriptor_in_load_object(), frv_current_sos(), frv_fdpic_find_global_pointer(), frv_relocate_main_executable(), frv_relocate_section_addresses(), and ~lm_info_frv().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/solib-frv.c